Index: src/ActOnAllUnitTest.cpp
===================================================================
--- src/ActOnAllUnitTest.cpp	(revision aba92d1cf6f8183eb896906f52a302521acea926)
+++ src/ActOnAllUnitTest.cpp	(revision aba92d1cf6f8183eb896906f52a302521acea926)
@@ -0,0 +1,67 @@
+/*
+ * ActOnAllUnitTest.cpp
+ *
+ *  Created on: 04.10.2009
+ *      Author: FrederikHeber
+ */
+
+using namespace std;
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include "ActOnAlltest.hpp"
+#include "ActOnAllUnitTest.hpp"
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( ActOnAllTest );
+
+
+void ActOnAllTest::setUp()
+{
+  Vector *temp = NULL;
+  // fill list with vectors
+  temp = new Vector(1,0,0);
+  VL.AddVector(temp);
+  temp = new Vector(0,1,0);
+  VL.AddVector(temp);
+  temp = new Vector(0,0,1);
+  VL.AddVector(temp);
+};
+
+
+void ActOnAllTest::tearDown()
+{
+  VL.EmptyList();
+};
+
+/** UnitTest for VectorList::ActOnAllVectors()
+ */
+void ActOnAllTest::ListTest()
+{
+  CPPUNIT_ASSERT_EQUAL( true, true );
+};
+
+/********************************************** Main routine **************************************/
+
+int main(int argc, char **argv)
+{
+  // Get the top level suite from the registry
+  CppUnit::Test *suite = CppUnit::TestFactoryRegistry::getRegistry().makeTest();
+
+  // Adds the test to the list of test to run
+  CppUnit::TextUi::TestRunner runner;
+  runner.addTest( suite );
+
+  // Change the default outputter to a compiler error format outputter
+  runner.setOutputter( new CppUnit::CompilerOutputter( &runner.result(),
+                                                       std::cerr ) );
+  // Run the tests.
+  bool wasSucessful = runner.run();
+
+  // Return error code 1 if the one of test failed.
+  return wasSucessful ? 0 : 1;
+};
Index: src/ActOnAllUnitTest.hpp
===================================================================
--- src/ActOnAllUnitTest.hpp	(revision aba92d1cf6f8183eb896906f52a302521acea926)
+++ src/ActOnAllUnitTest.hpp	(revision aba92d1cf6f8183eb896906f52a302521acea926)
@@ -0,0 +1,34 @@
+/*
+ * ActOnAllUnitTest.hpp
+ *
+ *  Created on: 04.10.2009
+ *      Author: FrederikHeber
+ */
+
+#ifndef ACTONALLUNITTEST_HPP_
+#define ACTONALLUNITTEST_HPP_
+
+#include <cppunit/extensions/HelperMacros.h>
+
+#include "ActOnAlltest.hpp"
+
+/********************************************** Test classes **************************************/
+
+class ActOnAllTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( ActOnAllTest) ;
+    CPPUNIT_TEST ( ListTest );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void ListTest();
+
+
+private:
+      class VectorList VL;
+};
+
+
+#endif /* ACTONALLUNITTEST_HPP_ */
Index: src/ActOnAlltest.hpp
===================================================================
--- src/ActOnAlltest.hpp	(revision aba92d1cf6f8183eb896906f52a302521acea926)
+++ src/ActOnAlltest.hpp	(revision aba92d1cf6f8183eb896906f52a302521acea926)
@@ -0,0 +1,52 @@
+/*
+ * ActOnAlltest.hpp
+ *
+ *  Created on: 04.10.2009
+ *      Author: FrederikHeber
+ */
+
+#ifndef ACTONALLTEST_HPP_
+#define ACTONALLTEST_HPP_
+
+using namespace std;
+
+#include <list>
+#include <vector.hpp>
+
+#define ListOfVectors list<Vector *>
+
+class VectorList
+{
+public:
+  VectorList();
+  ~VectorList();
+
+  void AddVector(Vector *v);
+  void EmptyList();
+
+  template <T> void ActOnAllVectors( void (*f)(T) )
+
+private:
+  ListOfVectors Vectors;
+};
+
+template <T> void VectorList::ActOnAllVectors( void (*f)(T) )
+{
+  for (ListOfVectors::iterator Runner = Vectors.begin(); Runner != Vectors.end(); Runner++)
+    f(T);
+};
+
+void VectorList::AddVector(Vector *v)
+{
+  Vectors.push_back(v);
+};
+
+void VectorList::EmptyList()
+{
+  for (ListOfVectors::iterator Runner = Vectors.begin(); Runner != Vectors.end(); Runner++) {
+    delete(*Runner);
+  }
+  Vectors.clear();
+}
+
+#endif /* ACTONALLTEST_HPP_ */
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 7dea7c3ad9e0e608f067038eb1e30477fbd8360e)
+++ src/Makefile.am	(revision aba92d1cf6f8183eb896906f52a302521acea926)
@@ -2,5 +2,5 @@
 HEADER = atom.hpp bond.hpp boundary.hpp config.hpp defs.hpp element.hpp ellipsoid.hpp helpers.hpp leastsquaremin.hpp linkedcell.hpp molecules.hpp parser.hpp periodentafel.hpp stackclass.hpp tesselation.hpp tesselationhelpers.hpp vector.hpp verbose.hpp
 
-noinst_PROGRAMS =  VectorUnitTest TesselationUnitTest
+noinst_PROGRAMS =  ActOnAllTest VectorUnitTest TesselationUnitTest
 
 bin_PROGRAMS = molecuilder joiner analyzer
@@ -19,4 +19,8 @@
 TesselationUnitTest_CXXFLAGS = $(CPPUNIT_CFLAGS)
 TesselationUnitTest_LDFLAGS = $(CPPUNIT_LIBS) -ldl
+ActOnAllTest_SOURCES = ActOnAllTest.hp ActOnAllUnitTest.cpp ActOnAllUnitTest.hpp vector.cpp vector.hpp
+ActOnAllTest_CXXFLAGS = $(CPPUNIT_CFLAGS)
+ActOnAllTest_LDFLAGS = $(CPPUNIT_LIBS) -ldl
+
 
 EXTRA_DIST = ${molecuilder_DATA}
